﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace PropertyChangedSample
{
    public class ChartLineData : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private int yValue = 0;

        private double xValue = 0;

        public double Xvalue
        {
            get
            {
                return xValue;
            }
            set
            {
                if (xValue != value)
                {
                    xValue = value;
                    //OnPropertyChanged("Xvalue");
                }
            }
        }

        public int Yvalue
        {
            get
            {
                return yValue;
            }
            set
            {
                if (yValue != value)
                {
                    yValue = value;
                    //OnPropertyChanged("Yvalue");
                }
            }
        }

        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }
    };
}
